=== debian/watch ===
version=3
http://mirror.kolabsys.com/pub/releases/libkolab-([0-9\.]+)\.tar\.gz
