=== freebusy/CMakeLists.txt ===
set (FREEBUSY_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/freebusy.cpp
    PARENT_SCOPE)
