=== calendaring/python/CMakeLists.txt ===
include_directories(../)
include(SWIGUtils)
generatePythonBindings(calendaring ../calendaring.i)
