=== debian/changelog ===
libkolab (1.0.2-3) unstable; urgency=medium

  * Merge nmu 0.6.0-3.1 changes (Closes: #821686)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Jul 2016 19:36:52 +0200

libkolab (1.0.2-2) unstable; urgency=low

  [ Diane Trout ]
  * Bump libkf5akonadi-dev and notes-dev build deps to 4:15.12

  [ Maximiliano Curia ]
  * Update symbols files.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 13:06:34 +0200

libkolab (1.0.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Bump build deps to 15.12, because newer kmime is needed
  * remove patch to compile with 15.08
  * update symbols

 -- Diane Trout <diane@ghic.org>  Wed, 03 Feb 2016 23:37:04 -0800

libkolab (1.0.0-1) experimental; urgency=medium

  [Sandro Knauß]
  * New upstream release.
  * Updated patch hunks.
  * Delete unused lintian overrides.
  * Use symbolfiles instead of shlibs.
  * Add breaks/replaces for libkolab0v5

  [Harald Sitter]
  * Updated dependencies using Qt5 and KF5.
  * Sobump from 0 to 1 (rename package accordingly)
  * Import upstream commits to fix compatibility with KDE Applications 15.08
    - upstream_Fix-build-with-Qt-5.5-and-also-adjust-to-the-latest-.patch

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 25 Nov 2015 00:52:31 +0100
