=== debian/watch ===
version=3
opts="pgpmode=self" \
http://mirror.kolabsys.com/pub/releases/libkolab-([0-9\.]+)\.tar\.gz\.gpg
